CVE-2004-1405
CVSS7.5
发布时间 :2004-12-31 00:00:00
修订时间 :2016-10-17 22:54:07
NMCO    

[原文]MediaWiki 1.3.8 and earlier, when used with Apache mod_mime, does not properly handle files with two file extensions, such as .php.rar, which allows remote attackers to upload and execute arbitrary code.


[CNNVD]MediaWiki远程任意脚本上传漏洞(CNNVD-200412-193)

        MediaWiki 1.3.8版本及之前版本在以Apache mod_mime方式使用时,不会正确地处理带有两个文件拓展名的文件,例如:.php.rar。远程攻击者可以上传和执行任意代码。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:mediawiki:mediawiki:1.3.3MediaWiki 1.3.3
cpe:/a:mediawiki:mediawiki:1.3.10MediaWiki 1.3.10
cpe:/a:mediawiki:mediawiki:1.3.2MediaWiki 1.3.2
cpe:/a:mediawiki:mediawiki:1.3.1MediaWiki 1.3.1
cpe:/a:mediawiki:mediawiki:1.3.0MediaWiki 1.3.0
cpe:/a:mediawiki:mediawiki:1.3.11MediaWiki 1.3.11
cpe:/a:mediawiki:mediawiki:1.3.8MediaWiki 1.3.8
cpe:/a:mediawiki:mediawiki:1.3.7MediaWiki 1.3.7
cpe:/a:mediawiki:mediawiki:1.3MediaWiki 1.3
cpe:/a:mediawiki:mediawiki:1.3.6MediaWiki 1.3.6
cpe:/a:mediawiki:mediawiki:1.3.5MediaWiki 1.3.5
cpe:/a:mediawiki:mediawiki:1.3.4MediaWiki 1.3.4

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1405
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1405
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-193
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=110321710420059&w=2
(UNKNOWN)  BUGTRAQ  20041216 STG Security Advisory: [SSA-20041215-19] Vulnerability of uploading files with multiple extensions in MediaWiki
http://wikipedia.sourceforge.net/
(PATCH)  MISC  http://wikipedia.sourceforge.net/
http://www.securityfocus.com/bid/11985
(PATCH)  BID  11985

- 漏洞信息

MediaWiki远程任意脚本上传漏洞
高危 输入验证
2004-12-31 00:00:00 2005-10-20 00:00:00
远程  
        MediaWiki 1.3.8版本及之前版本在以Apache mod_mime方式使用时,不会正确地处理带有两个文件拓展名的文件,例如:.php.rar。远程攻击者可以上传和执行任意代码。

- 公告与补丁

        The vendor has released MediaWiki 1.3.9 to address this issue:
        MediaWiki MediaWiki 1.3
        
        MediaWiki MediaWiki 1.3.1
        
        MediaWiki MediaWiki 1.3.2
        
        MediaWiki MediaWiki 1.3.3
        
        MediaWiki MediaWiki 1.3.4
        
        MediaWiki MediaWiki 1.3.5
        
        MediaWiki MediaWiki 1.3.6
        
        MediaWiki MediaWiki 1.3.7
        
        MediaWiki MediaWiki 1.3.8
        

- 漏洞信息

59519
MediaWiki Double File Extension File Upload Arbitrary Code Execution
Remote / Network Access Misconfiguration
Loss of Integrity Upgrade
Vendor Verified

- 漏洞描述

- 时间线

2004-12-15 2004-12-10
Unknow 2004-12-13

- 解决方案

Upgrade to version 1.3.9 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站